import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class AppletTest extends JApplet {

    /**
     * Initializes the applet.  You never need to call this directly; it is
     * called automatically by the system once the applet is created.
     */
    public void init() {
	Container pane = getContentPane();
	pane.setLayout(new BorderLayout());
	JLabel label = new JLabel("Java 2 plug-in is installed correctly!", JLabel.CENTER);
	pane.add(label, BorderLayout.CENTER);
    }

    /**
     * Called to start the applet.  You never need to call this directly; it
     * is called when the applet's document is visited.
     */
    public void start() {
    }

    /**
     * Called to stop the applet.  This is called when the applet's document is
     * no longer on the screen.  It is guaranteed to be called before destroy()
     * is called.  You never need to call this method directly
     */
    public void stop() {
    }

    /**
     * Cleans up whatever resources are being held.  If the applet is active
     * it is stopped.
     */
    public void destroy() {
    }
}

